?php

namespace Deckflow\Db;

use OCP\AppFramework\Db\Mapper;
use Deckflow\Model\Workflow;

class WorkflowMapper extends Mapper
{
  public function __construct(\OCP\IDBConnection $db)
  {
    parent::__construct($db, 'deckflow_workflows', Workflow::class);
  }

  public function findWorkflowsByUserId($userId)
  {
    $sql = 'SELECT * FROM deckflow_workflows WHERE user_id = ?';
    return $this->findEntities($sql, [$userId]);
  }
}