<?php

namespace Deckflow\Model;

use OCP\AppFramework\Db\Entity;

class Workflow extends Entity
{
  protected $id;
  protected $userId;
  protected $deckId;
  protected $sourceStackId;
  protected $targetStackId;
  protected $createdAt;

  public function __construct()
  {
    $this->addType('id', 'integer');
    $this->addType('userId', 'string');
    $this->addType('deckId', 'integer');
    $this->addType('sourceStackId', 'integer');
    $this->addType('targetStackId', 'integer');
    $this->addType('createdAt', 'timestamp');
  }
}